/*****************************************
*
*	phys_eng.h
*	C header file for phys_eng.c
*
******************************************/

#ifndef _phys_eng_h_
#define _phys_eng_h_

#include <GL/gl.h>
#include "physLib.H"
// ---- defines, typedefs ----

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif


enum{
	V_UP,
	V_DOWN
};

class GravityList{
    private:
        GLuint NumObjects;
        GLuint MaxObjects;
        GravityObject *GravityObjectList[MAX_GRAVITY_OBJ];
   
    public:
        GravityList(void);
        GravityList(GLuint);
        ~GravityList(void);
        int AddObject(GravityObject  *);
        GravityObject *GetObject(GLuint);
        GLuint GetNumObjects(void);
        GLuint GetMaxObjects(void);
};

// ----- globals -------


// ------ prototypes -----

void windowInit(void);
void physEngInit(void);
void mainDisplay(void);
void mainReshape(int,int);
void mainMouse(WPARAM,int,int ,int );
void mainMotion(WPARAM,int ,int );
void mainKey(unsigned char ,int ,int );
void mainEntry(int);
void mainSpecial(int ,int ,int );
void mainIdle(GLdouble);

#endif